Docs
Get Orders
GET /Organizations/{orgId}/orders
GET
/Organizations/{orgId}/ordersLists every order across the organization's active events, with its event, source (Internal or External), declared and derived status, date window and unsent revision flag. Use it to pick an existing order to send needs to with Organizations_AddOrderLines. Line items are filled in only for orders that back a resource need. Requires organization basic access.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| orgId | uuid | Required |
Response
Type: GetOrganizationOrdersResponse[]
GetOrganizationOrdersResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| event | GetOrganizationOrdersResponseEventInfo | |
| source | string| null | |
| declaredStatus | string| null | |
| derivedStatus | string| null | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| hasUnsentRevision | boolean | |
| latestVersionNumber | integer | |
| latestVersionId | uuid| null | |
| lineItems | GetOrganizationOrdersResponseLineItem[]| null | |
| lineItemGroups | GetOrganizationOrdersResponseLineItemGroup[]| null |
GetOrganizationOrdersResponseEventInfo
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null |
GetOrganizationOrdersResponseLineItem
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| procurementResourceId | uuid| null | |
| label | string| null | |
| icon | string| null | |
| quantity | number | |
| lineItemGroupId | uuid| null | |
| index | integer |
GetOrganizationOrdersResponseLineItemGroup
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| isDelivery | boolean | |
| startDateTime | date-time| null | |
| endDateTime | date-time| null | |
| deliveryAddress | string| null | |
| index | integer |